body {
    height: auto;
    width: auto;
    margin: 0px;
    padding: 0px;
    font-family: 'Open Sans', sans-serif;
    background: cover;
}

html,
body {
    height: 100%
}

body:after {
    /*擬似要素をつくる*/
    position: fixed;
    /*固定配置*/
    top: 0;
    left: 0;
    /*左上に固定*/
    width: 100%;
    height: 100%;
    /*画面全体を覆う*/
    content: "";
    z-index: -1;
    /*背景にするため*/
    background: linear-gradient(aqua 70%, blue);
}

.container {
    width: auto;
    height: 75px;
    background-color: white;
    padding: 0px;
    border-bottom-left-radius: 50px;
    border-bottom-right-radius: 30px;
    border: 1px solid black;
}

nav {
    position: relative;
    margin-top: 10px;
    width: 700px;
    float: right;
    height: 50px;
    background-color: none;
    font-size: 0;
}

nav a {
    font-size: 20px;
    font-weight: 600;
    text-transform: uppercase;
    margin-top: 15px;
    color: blue;
    line-height: 20px;
    text-decoration: none;
    position: relative;
    z-index: 1;
    display: inline-block;
    text-align: center;
}

nav .animation {
    position: absolute;
    height: 5px;
    bottom: 0;
    z-index: 0;
    background: lightgreen;
    width: 100px;
    border-radius: 10px;
    transition: all .5s ease 0s;
}

a:nth-child(1) {
    width: 100px;
}

nav .start-home,
a:nth-child(1):hover ~ .animation {
    width: 100px;
    left: 0;
}

a:nth-child(2) {
    width: 80px;
}

nav .start-post,
a:nth-child(2):hover ~ .animation {
    width: 80px;
    left: 100px;
}

a:nth-child(3) {
    width: 130px;
}

nav .start-message,
a:nth-child(3):hover ~ .animation {
    width: 130px;
    left: 180px;
}


a:nth-child(4) {
    width: 100px;
}

nav .start-profile,
a:nth-child(4):hover ~ .animation {
    width: 100px;
    left: 310px;
}


a:nth-child(5) {
    width: 150px;
}

nav .start-newuser,
a:nth-child(5):hover ~ .animation {
    width: 150px;
    left: 410px;
}

a:nth-child(6) {
    width: 100px;
}

nav .start-logout,
a:nth-child(6):hover ~ .animation {
    width: 100px;
    left: 560px;
}

.yourhost {
    text-align: center;
}

.form-box {
    text-align: center;
    background-color: white;
    width: 500px;
    border-radius: 10px;
    margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
    padding-top: 50px;
    padding-bottom: 50px;
}

.search-location {
    height: 40px;
    width: 400px;
    font-size: 30px;
    border: none;
    border-radius: 10px;
    border: 1px solid black;
}

.checkin-day {
    height: 40px;
    width: 400px;
    font-size: 30px;
    border: none;
    border-radius: 10px;
    border: 1px solid black;
}

.checkout-day {
    height: 40px;
    width: 400px;
    font-size: 30px;
    border: none;
    border-radius: 10px;
    border: 1px solid black;
}

.peopleNumber {
    height: 40px;
    width: 200px;
    font-size: 30px;
    text-align: center;
    border: none;
    border-radius: 10px;
    border: 1px solid black;
}

.search-btn {
    width: 300px;
    height: 50px;
    font-size: 30px;
    margin-top: 30px;
    color: #ccc;
    border: 1px solid #338033;
    font-size: 18px;
    border-radius: 4px;
    transition: .1s;
    overflow: hidden;
    transform: translate(-50%, -50);
}

.search-btn:focus {
    outline: none;
}

.search-btn:before {
    content: '';
    display: block;
    position: absolute;
    background: rgba(255, 255, 255, .5);
    width: 60px;
    height: 100%;
    left: 0;
    top: 0;
    opacity: .5s;
    filter: blur(30px);

    transform: translateX(-130px) skewX(-15deg);

}

.search-btn:after {
    content: '';
    display: block;
    position: absolute;
    background: rgba(255, 255, 255, .2);
    width: 30px;
    height: 100%;
    left: 30;
    top: 0;
    opacity: 0;
    filter: blur(30px);
    transform: translateX(-100px) skewX(-15deg);

}

.search-btn:hover {
    background: #338033;
    cursor: pointer;
}


.search-btn:hover:before {
    transform: translateX(300px) scaleX(-15deg);
    opacity: .6;
    transition: .7s;
}



.search-btn:hover:after {
    transform: translateX(300px) scaleX(-15deg);
    opacity: 1;
    transition: .7s;
}
